import * as React from "react";
import "./index.scss";
interface AntIconSetterProps {
    value: string;
    defaultValue: string;
    onChange: (val: string) => void;
    placeholder: string;
}
export default class AntIconSetter extends React.PureComponent<AntIconSetterProps> {
    static displayName: string;
    private onOpen;
    private onClose;
    constructor(props: any);
    state: {
        visible: boolean;
    };
    componentDidMount(): void;
    render(): React.JSX.Element;
}
export {};
